
<!--.... Bus Arrival schedule ......-->


<div class="busFilterMain moreBtm">

     <div class="heading subNormal marginBtm whiteFont" ng-if="!admin">BUS ARRIVAL SCHEDULE</div>

     <div class="" >
          <div class="floatRight marginTop" ng-if="busEntryExitDetails.busExitFlag"  >
               <div class="btn clearArrBtn midBlock small">Clear Arrival</div>
 <!--              <div class="dropDown midBlock small marginLeft">
                    <div class="head" data-init=0>
                         <div class="headTitle">All lanes</div>
                         <div class="sign">
                              <img src="images/dropDown.png" alt=""/>
                         </div>
                         <span class="clear"></span>
                    </div>
                    <ul class="list">
                         <li>Lane 1</li>
                         <li>Lane 2</li>
                         <li>Lane 3</li>
                    </ul>
               </div>-->
          </div>
          <span class="clear"></span>


          <div class="busList">
               <div class="mainSummary marginBtm">
                    <div class="content midBlock">

                    </div>
                    <div class="divider"></div>
                    <div class="timeIndicator leftTxt smallest">
                         <div class="midBlock"> {{entranceDate|date:'mediumTime'}}</div>
                         <div class="midBlock indicatorDot red marginLeftSrt" ng-if="!busEntryExitDetails.busEntryDataReceiveStatus"></div>
                         <div class="midBlock indicatorDot green marginLeftSrt" ng-if="busEntryExitDetails.busEntryDataReceiveStatus"></div>
                    </div>
               </div>
               <div class="dataTable busTable">
                    <div class="dataRow subNormal" ng-repeat="busArrived in busEntryExitDetails.busEntry | orderBy: '-date' | limitTo: 10">
                         <ul class="rowCont">
                              <li class="license">
                                   <div class="content">
                                        <div class="licensePlate">
                                             <img src="images/licenceHologram.png" class="licenseIcon" alt="">
                                             <div class="licenseNum" ng-if="!busArrived.plateNumber">NA</div>
                                             <div class="licenseNum" ng-if="busArrived.plateNumber">{{busArrived.plateNumber}}</div>
                                        </div>
                                   </div>
                              </li>
                              <li class="arr">
                                   <div class="content">
                                        <div class="">Arr - <span class="less">{{busArrived.date | date:'medium'}}</span></div>
                                   </div>
                              </li>
                             <!-- <li class="passengers">
                                   <div class="content">
                                        <div class="num more">NA</div>
                                   </div>
                              </li>-->
                              <li class="bus">
                                   <div class="content">
                                        <div class="busIconMain">
                                             <img src="images/scheduleBus.png" class="busIcon" alt="">
                                             <!--<div class="number">{{busArrived.routeNumber}}</div>-->
                                        </div>
                                   </div>
                              </li>
                              <!--<li class="captain">
                                   <div class="content">
                                        <div class="lightColor smallest marginBtmSrt roboLight">Captain</div>
                                        <div class="small" ng-if="busArrived.driverName">{{busArrived.driverName}}</div>
                                        <div class="small"  ng-if="!busArrived.driverName">-</div>
                                   </div>
                              </li>-->
                             <!-- <li class="lane">
                                   <div class="content">
                                        <div class="">NA</div>
                                   </div>
                              </li>-->
                             <!-- <li class="dep">
                                   <div class="content">
                                        <div class="midBlock">Dep  -</div>
                                        <div class="midBlock less">NA</div>
                                   </div>
                              </li>-->
                              <!--<li class="route">
                                   <div class="content small">
                                       <div class="routeCont">
                                           <div class="">-</div>
                                           <img src="images/routeIcon.png" class="routeIcon" alt="">
                                           <div class="">-</div>
                                       </div>
                                   </div>
                              </li>-->
                              <span class="clear"></span>
                         </ul>
                    </div>
               </div>

               <div class="userMsg marginTop" ng-if="busEntryExitDetails.busEntryClearFlag">
                    <div class="txt">Bus arrival data cleared</div>
               </div>

          </div>

          <!--.... pagination ...-->
          <ul class="pagination marginTop">
               <li class="active" ng-click="getPreviousPageData('arr',busEntryExitDetails.busEntryPageSelected)"
                   ng-hide="busEntryExitDetails.busEntryPageSelected==1"><<</li>
               <li ng-class="{active: $index+1 == busEntryExitDetails.busEntryPageSelected}"
                   ng-repeat="busEntryCount in range(busEntryExitDetails.busEntryCountPageNo) track by $index"
                   ng-click="setPageNoForArrival($index+1)">
                    {{$index+1}}</li>
               <li class="active" ng-click="getNextPageData('arr',busEntryExitDetails.busEntryPageSelected)"
                   ng-show="busEntryExitDetails.busEntryCompleteCount>10">>></li>
          </ul>


     </div>
</div>



<!--........ Delete User ........-->
<div class="clearArr popup">
    <div class="popupCont">
        <div class="txt">Do you want to clear arrival list</div>
        <div class="formBtns small">
            <div class="save close btn midBlock marginRgt" ng-click="clearBusArrival()">Clear</div>
            <div class="close btn midBlock">Cancel</div>
        </div>
    </div>
</div>